@import "@styles/base/colors";
@import "@styles/base/typography.scss";

.contentWrapper {
  padding: 50px 30px 25px 50px;
}

.header {
  margin-bottom: 25px;
  text-align: center;
  @include font($fontGotham, 24px, 28.8px);
  color: $blackColor;

  & > div:last-child {
    color: $primaryColor;
  }
}

.contentContainer {
  max-height: 775px;
  height: 100%;
  display: flex;
  flex-direction: column;
  gap: 10px;

  .scrollContainer {
    height: 100%;
    overflow-y: scroll;
    display: flex;
    flex-direction: column;
    padding-right: 10px;
    gap: 10px;
  }

  .nestedContainer {
    display: flex;
    flex-direction: column;
    gap: 10px;

    &:first-child {
      margin-bottom: 100px;
    }
  }
}

.plate {
  width: 100%;
  display: flex;
  align-items: center;
  border: 1px solid $greyColor;
  border-radius: 10px;
  padding: 15px 15px 15px 20px;
  cursor: default;
}

// partner modal
.headerContainer {
  position: relative;

  .backBtn {
    position: absolute;
    top: -30px;
    left: -20px;
    display: flex;
    align-items: center;
    cursor: pointer;
    color: $greyText;
    @include font($fontGotham, 16px, 19.2px);

    .arrow {
      width: 24px;
      height: 24px;
      display: flex;
      justify-content: center;
      align-items: center;
      border: 2px solid $greyText;
      border-radius: 50%;
      margin-right: 10px;
    }
  }
}

.partnerPlate {
  .userData {
    display: flex;
    align-items: center;

    .avatar {
      margin-right: 25px;
      cursor: default;
    }

    .text {
      & > div:first-child {
        @include font($fontGotham, 18px, 21.6px);
        color: $blackColor;
        margin-bottom: 5px;
      }

      & > div:last-child {
        @include font($fontGotham, 14px, 16.8px);
        color: $greyText;
      }
    }
  }

  .controls {
    display: flex;
    margin-left: auto;

    & > div:first-child {
      margin-right: 10px;
    }

    .control {
      background-color: $background;
    }
  }
}

.editAvatar {
  width: 100px;
  height: 100px;
  background: $lightBlueColor;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  align-self: center;
  flex-shrink: 0;
  overflow: hidden;
  position: relative;

  input {
    position: absolute;
    top: -50px;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 10;
    outline: none;
    cursor: pointer;
  }

  & > img {
    width: 50px;
    height: 50px;
  }
}

.linkContainer {
  width: 100%;

  .label {
    @include font($fontGotham, 16px, 19.2px);
    color: $greyText;
    pointer-events: none;
    margin-bottom: 5px;
  }

  .field {
    height: 65px;
    display: flex;
    border: 1px solid $greyColor;
    border-radius: 10px;
    cursor: pointer;
    position: relative;
    overflow: hidden;
    padding-left: 25px;

    .link {
      width: 75%;
      height: 100%;
      padding-top: 22px;
      @include font($fontGothamBook, 18px, 22px);
      color: $blackColor;

      white-space: nowrap;
      overflow: hidden;
      -o-text-overflow: ellipsis;
      -ms-text-overflow: ellipsis;
      text-overflow: ellipsis;
    }

    .iconWrapper {
      width: 65px;
      height: 100%;
      position: absolute;
      display: flex;
      justify-content: center;
      align-items: center;
      background-color: $greyColor;
      right: 0;
    }
  }
}

// Services modal
.buttons {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: auto;

  .cancelButton {
    margin-top: 15px;
    margin-bottom: 25px;
    @include font($fontGotham, 14px, 16.8px);
    color: $primaryColor;
    cursor: pointer;
  }
}

// Holidays modal
.holidayPlate {
  padding: 10px;

  & > div:nth-child(1) {
    max-width: 170px;
  }

  & > div:nth-child(2) {
    max-width: 135px;
    text-transform: capitalize;
  }

  & > div:nth-child(3) {
    max-width: 135px;
    border-right: none !important;
  }
}

.firstInputRow {
  display: flex;
  gap: 10px;
  margin-bottom: 35px;

  & > div:first-child {
    width: 45%;
  }

  & > div:last-child {
    width: 55%;
  }
}

.inputRowBlock {
  display: flex;
  flex-direction: row !important;
  justify-content: space-between;
  margin-bottom: 25px;

  & > div:first-child {
    width: 50%;
  }

  & > div:last-child {
    width: 30%;
  }
}

.holidayControls {
  flex-direction: column;

  & > div:first-child {
    border-bottom: 0.5px solid $greyColor;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
  }

  & > div:last-child {
    border-top: 0.5px solid $greyColor;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
  }
}

// Vacations modal
.vacationPlate {
  padding: 10px;

  & > div:nth-child(1) {
    max-width: 125px;
  }

  & > div:nth-child(2) {
    max-width: 190px;
    text-transform: capitalize;
  }

  & > div:nth-child(3) {
    max-width: 120px;
    border-right: none !important;
  }
}

.vacationName {
  max-width: 100%;
  margin-bottom: 25px;
}

// Shifts modal
.shiftCard {
  @include font($fontGotham, 20px, 24px);
  color: $greyText;
  margin-bottom: 0 !important;
  cursor: default !important;

  & > div:nth-child(1) {
    margin-right: 5px !important;
  }

  & > div:nth-child(2) {
    height: 100%;
    width: 100%;
    max-width: 115px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-right: 1px solid $greyColor;
  }

  & > div:nth-child(3) {
    border-right: none;
    padding: 0 5px 0 25px;
  }

  & > div:nth-child(4) {
    padding: 0 25px 0 5px;
  }

  & > div:nth-child(5) {
    max-width: 105px;
    border-right: none;
    padding: 0 25px;
  }
}

.shiftsControls {
  padding: 5px;

  & > div {
    width: 30px;
    height: 30px;
    background-color: $whiteColor;
  }
}

.shiftInput {
  width: 100%;
}

.timePicker {
  margin-bottom: 60px;
}

.timeLinePicker {
  margin-bottom: 30px;
}

.inputRow {
  display: flex;
  gap: 10px;
  margin-bottom: 35px;

  & > div:first-child {
    width: 50%;
  }

  & > div:last-child {
    width: 50%;
  }
}

// Services modal
.servicePlate {
  height: 80px !important;
  padding: 10px 10px 15px;
}

.servicesControls {
  margin-top: -12px;
  padding-right: 0 !important;
  background-color: $background;
  border: 1px solid $lightBlueColor;

  &:first-child {
    border-bottom-left-radius: 0px;
    border-bottom-right-radius: 0px;
  }

  &:last-child {
    border-top-left-radius: 0px;
    border-top-right-radius: 0px;
    border-top: none;
  }
}

.servicesTitle {
  color: $primaryColor;
  text-align: center;
}

.headerInput {
  display: flex;
  margin-top: 25px;
  padding-bottom: 15px;
  border-bottom: 1px solid $lightBlueColor;

  & .input {
    margin-right: 10px;
  }
}

.servicesWrapper {
  & .title {
    margin-bottom: 15px;
    text-align: start;
    color: $blackColor;
    @include font($fontGotham, 20px, 24px);
  }

  & .subTitle {
    color: $greyText;
    @include font($fontGotham, 14px, 16.8px);
  }

  & .inputGroup {
    display: flex;
    padding-bottom: 15px;
    border-bottom: 1px solid $lightBlueColor;
  }

  & .input {
    margin-right: 10px;
  }
}
